Extending Qt Creator Manual | GeneratorFile

Extending Qt Creator Manual 4.5.2

# GeneratorFile Class

(ProjectExplorer::JsonWizard::GeneratorFile)

- List of all members, including inherited members

## Public Functions

| GeneratorFile()
| GeneratorFile(const Core::GeneratedFile &f, JsonWizardGenerator *g)
bool | isValid() const

## Member Function Documentation

### GeneratorFile::GeneratorFile()

Default constructs an instance of GeneratorFile.

### GeneratorFile::GeneratorFile(const Core::GeneratedFile &f, JsonWizardGenerator *g)

Default constructs an instance of GeneratorFile.

### bool GeneratorFile::isValid() const